## Retrieves the current account for the token accessing the API **get** `/v1/account` Retrieves the current account for the token accessing the API. Useful to check if the credentials are valid. ### Returns - `Account = object { info, metadata, spec }` Account is an account resource. - `info: object { webhookEventsHmacSecret }` AccountInfo contains information about the account. - `webhookEventsHmacSecret: optional string` The generated secret that will sign all webhooks that are sent to your configured Webhook URL. Formatted as "wh_asdf1234" per the https://www.standardwebhooks.com/ format. - `metadata: AccountResourceMetadata` AccountResourceMetadata is used to represent a resource that is associated to an account but not to a workspace. - `id: string` Unique identifier for the resource (prefixed ULID, e.g., "apikey_01HXK...") - `accountId: string` Account this resource belongs to for multi-tenant isolation (prefixed ULID) - `name: string` Human-readable name for the resource (e.g., "Customer Support Agent", "Email Tool") Required for resources that users interact with directly - `profileId: string` - `externalId: optional string` External ID for the resource (e.g., a workflow ID from an external system) - `labels: optional map[string]` Arbitrary key-value pairs for categorization and filtering Examples: {"environment": "production", "team": "platform", "version": "v2"} - `spec: AccountSpec` AccountSpec contains the specification for an account. - `billingEmail: optional string` - `description: optional string` - `domain: optional string` - `workspaces: optional array of Workspace` - `metadata: AccountResourceMetadata` AccountResourceMetadata is used to represent a resource that is associated to an account but not to a workspace. - `spec: WorkspaceSpec` - `description: optional string` ### Example ```http curl https://api.cadenya.com/v1/account \ -H "Authorization: Bearer $CADENYA_API_KEY" ``` #### Response ```json { "info": { "webhookEventsHmacSecret": "webhookEventsHmacSecret" }, "metadata": { "id": "id", "accountId": "accountId", "name": "name", "profileId": "profileId", "externalId": "externalId", "labels": { "foo": "string" } }, "spec": { "billingEmail": "billingEmail", "description": "description", "domain": "domain", "workspaces": [ { "metadata": { "id": "id", "accountId": "accountId", "name": "name", "profileId": "profileId", "externalId": "externalId", "labels": { "foo": "string" } }, "spec": { "description": "description" } } ] } } ```